Debian Bug report logs - #701998
simple-cdd: --keyboard parameter doesn't work with wheezy

version graph

Package: simple-cdd; Maintainer for simple-cdd is Simple-CDD Developers <simple-cdd-devel@lists.alioth.debian.org>; Source for simple-cdd is src:simple-cdd.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Fri, 1 Mar 2013 14:27:01 UTC

Severity: important

Tags: fixed-upstream

Found in version simple-cdd/0.3.14

Fixed in version 0.4.0

Done: Vagrant Cascadian <vagrant@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Simple-CDD Developers <simple-cdd-devel@lists.alioth.debian.org>:
Bug#701998; Package simple-cdd. (Fri, 01 Mar 2013 14:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Simple-CDD Developers <simple-cdd-devel@lists.alioth.debian.org>. (Fri, 01 Mar 2013 14:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: simple-cdd: --keyboard parameter doesn't work with wheezy
Date: Fri, 01 Mar 2013 15:25:41 +0100
Package: simple-cdd
Version: 0.3.14
Severity: important

The keyboard parameter sets the following kernel parameter:
console-keymaps-at/keymap=$keyboard

With wheezy (and newer), one should use
"keymap=$keyboard" or "keyboard-configuration/xkb-keymap=$keyboard".

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.7-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages simple-cdd depends on:
ii  apt-utils    0.9.7.7
ii  dctrl-tools  2.22.2
ii  debian-cd    3.1.11
ii  debootstrap  1.0.46
ii  lsb-release  4.1+Debian9
ii  python       2.7.3-4
ii  reprepro     4.12.5-1
ii  rsync        3.0.9-4
ii  wget         1.14-1

Versions of packages simple-cdd recommends:
ii  edos-debcheck                   1.0-9
ii  edos-distcheck [edos-debcheck]  1.4.2-13+b1

Versions of packages simple-cdd suggests:
ii  qemu-kvm  1.1.2+dfsg-5

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Simple-CDD Developers <simple-cdd-devel@lists.alioth.debian.org>:
Bug#701998; Package simple-cdd. (Mon, 04 Mar 2013 08:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to Simple-CDD Developers <simple-cdd-devel@lists.alioth.debian.org>. (Mon, 04 Mar 2013 08:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 701998@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: Raphaël Hertzog <hertzog@debian.org>, 701998@bugs.debian.org
Subject: Re: Bug#701998: simple-cdd: --keyboard parameter doesn't work with wheezy
Date: Sun, 3 Mar 2013 23:59:55 -0800
Control: tags 701998 fixed-upstream pending

On Fri, Mar 01, 2013 at 03:25:41PM +0100, Raphaël Hertzog wrote:
> The keyboard parameter sets the following kernel parameter:
> console-keymaps-at/keymap=$keyboard
> 
> With wheezy (and newer), one should use
> "keymap=$keyboard" or "keyboard-configuration/xkb-keymap=$keyboard".

This is fixed upstream in bzr, which contains both the old and new values, to
allow building both older and newer images:

  524 Vagrant Cascadian 2012-12-07
      Use newer preseeding for setting keyboard layout from KERNEL_PARAMS. Thanks to
      Gustavo Ortiz Uriburu for the patch.
      === modified file 'build-simple-cdd'
      --- build-simple-cdd      2012-12-07 23:16:19 +0000
      +++ build-simple-cdd      2012-12-07 23:22:46 +0000
      @@ -468,7 +468,7 @@

       if [ -n "$keyboard" ]; then
         echo "setting default keyboard..."
      -  KERNEL_PARAMS="$KERNEL_PARAMS console-keymaps-at/keymap=$keyboard"
      +  KERNEL_PARAMS="$KERNEL_PARAMS console-keymaps-at/keymap=$keyboard keyboard-configuration/xkb-keymap=$keyboard keyboard-configuration/layout=$keyboard"
         echo "KERNEL_PARAMS: $KERNEL_PARAMS"
       fi

Might try and get a fixed package in for wheezy... presuming setting all those
values don't conflict somehow.


live well,
  vagrant



Added tag(s) pending and fixed-upstream. Request was from Vagrant Cascadian <vagrant@debian.org> to 701998-submit@bugs.debian.org. (Mon, 04 Mar 2013 08:03:07 GMT) Full text and rfc822 format available.

Reply sent to Vagrant Cascadian <vagrant@debian.org>:
You have taken responsibility. (Fri, 11 Apr 2014 23:33:09 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Fri, 11 Apr 2014 23:33:09 GMT) Full text and rfc822 format available.

Message #17 received at 701998-done@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: 701998-done@bugs.debian.org
Subject: simple-cdd: --keyboard parameter doesn't work with wheezy
Date: Fri, 11 Apr 2014 16:30:40 -0700
[Message part 1 (text/plain, inline)]
Version: 0.4.0

This was fixed in 0.4.0 as well, missed the bug number:

simple-cdd (0.4.0) unstable; urgency=medium

  * build-simple-cdd:
...
    - Use newer preseeding for setting keyboard layout.
      Thanks to Gustavo Ortiz Uriburu for the patch.


live well,
  vagrant
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:05:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.